## jesred 1.2pl1

=== Makefile ===
# Your preferred Compiler
# HINT: If you want to run the program on an UltraSPARC driven machine,
#       I recommend to use Sun C-Compiler >= 4.0 or gcc >= 2.8.0 with
#       optimization level >= 4 for best performance. 
CC=cc

INCLUDE         = -I.
LDFLAGS         = 

# Compiler Options

AC_CFLAGS       = -xO5 -mr -s -xcrossfile #-g -xsb     	# SUN cc >= 4.0
#AC_CFLAGS	= -O3 -s				# SGI cc, AIX cc
#AC_CFLAGS	= -O5 -s				# GNU cc

# extra Libraries ( we need this for inet_addr(char *) only )

XTRA_LIBS       = -lnsl		# Solaris 2.x 
#XTRA_LIBS	=		# AIX 4.2, Linux 2.x.x, IRIX 5.x, 6.x

# if you want to have the option, to enable debug message logging,
# uncomment the following line, but beware: This DECREASES THE PERFORMANCE
# of the program a lot !!!

# DEBUG	= -DDEBUG

# If you don't have regex support on your OS standard librar{y|ies}
# or you do not want to use it, get gnu regex 0.12 or higher,
# compile it as described in its INSTALL (you do not need to install it!),
# uncomment the lines below (XOBJS, DEFS) and substitute regex-0.12 with the
# directory, where GNU regex.h and regex.o are located.
# Hint: At least on Solaris >= 2.5 you get best performance, when you
# use the regex stuff from stdlibc. If you really need the GNU stuff,
# compile it with highest optimization (default is no optimization!),
# which gives you about 20% speed up ... GNU regex is available via:
# ftp://ftp.tu-chemnitz.de/pub/gnu/regex-0.12.tar.gz    (GNU mirror) or
# ftp://prep.ai.mit.edu/pub/gnu/regex-0.12.tar.gz

# XOBJS	= regex-0.12/regex.o
# DEFS	= -DLOCAL_REGEX -Iregex-0.12

# If you want to use ACCEL patterns (compatibility to squirm 1.0Beta),
# add -DUSE_ACCEL to DEFS.
#
# Since in my tests it didn't gave me much performance improvement, I don't
# use them but prefer a more readable redirect.rules files (and so a little
# bit smaller jesred wrt. memory usage). So why to compile it in, when
# I don't want to use ACCEL ;-)
# If jesred is compiled without -DUSE_ACCEL the ACCEL strings in the
# redirect rules are ignored, if there are some.
# 
# DEFS = -DUSE_ACCEL

# That's it - no further changes should be necessary ;-)
# ===========================================================================

OBJS	=  \
	main.o \
	ip_list.o \
	util.o \
	log.o \
	config.o \
	rewrite.o \
	pattern_list.o

CFILES  = $(patsubst %.o,%.c,$(OBJS))

PROGS	= jesred
CFLAGS  = $(AC_CFLAGS) $(INCLUDE)
LIBS    = -L. $(XTRA_LIBS)

.SUFFIXES: .o

.c.o:	
	${CC} ${CFLAGS} ${DEFS} ${DEBUG} -c $<

all:	$(PROGS)

$(OBJS):	Makefile

jesred:	$(OBJS) Makefile $<
	$(CC) -o $@ $(LDFLAGS) $(OBJS) $(XOBJS) $(LIBS)

depend:
	makedepend $(CFLAGS) $(DEFS) $(CFILES)

.DONE:	query

query:
	-sbquery nosuchthing

clean:
	-rm -rf  $(OBJS) *pure_* core $(PROGS)

=== debian/changelog ===
jesred (1.2pl1-22) unstable; urgency=low

  * adjusted control for the squid3->squid renaming (closes: #817135)

 -- Alexander Zangerl <az@debian.org>  Sat, 12 Mar 2016 11:18:35 +1000

jesred (1.2pl1-21) unstable; urgency=medium

  * adjusted installation dir to layout of squid version 3.5.6++
    (closes: #804313)

 -- Alexander Zangerl <az@debian.org>  Sun, 08 Nov 2015 11:42:19 +1000

jesred (1.2pl1-20) unstable; urgency=medium

  * fix for squid 3.4+ format incompatibility
    (closes: #801907)
  * updated the example default configs a little
  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Fri, 23 Oct 2015 22:52:04 +1000

jesred (1.2pl1-19) unstable; urgency=low

  * added support for ipv6 (closes: #714819)

 -- Alexander Zangerl <az@debian.org>  Sun, 29 Sep 2013 13:37:11 +1000

jesred (1.2pl1-18) unstable; urgency=low

  * lifted standards version, dh compat version
  * migrated to 3.0 quilt source format (closes: #671645)
  * enabled hardening build options
  * removed very old example files, updated README.Debian

 -- Alexander Zangerl <az@debian.org>  Sun, 15 Sep 2013 21:38:30 +1000

jesred (1.2pl1-17) unstable; urgency=low

  * integrated some old, overlooked patches from the debian diff.
  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Mon, 20 Sep 2010 19:22:09 +1000

jesred (1.2pl1-16) unstable; urgency=high

  * fix for rewriter message format changes in squid 3 (closes: #505199)
  * amended the urlgroup matching: now urlgroups
    are compared IFF a rule explicitely says to (like the docs state).

 -- Alexander Zangerl <az@debian.org>  Tue, 11 Nov 2008 10:03:01 +1000

jesred (1.2pl1-15) unstable; urgency=high

  * reworked patch for urlgroup matching: didn't recognize 
    squid telling us "no urlgroup" and hence wouldn't match.

 -- Alexander Zangerl <az@debian.org>  Sat, 28 Jun 2008 16:13:52 +1000

jesred (1.2pl1-14) unstable; urgency=low

  * incorporated fixes and contributions by Nathan Rickerby (thanks!):
    use vsnprintf to not segfault (closes: #487976)
    remove method restriction (closes: #487978)
    add support for urlgroup matching and returning (closes: #487980) 
  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Fri, 27 Jun 2008 13:11:39 +1000

jesred (1.2pl1-13) unstable; urgency=low

  * added squid3 as alternative squid-provider (closes: #446721)

 -- Alexander Zangerl <az@debian.org>  Mon, 15 Oct 2007 18:51:43 +1000

jesred (1.2pl1-12) unstable; urgency=low

  * lifted standards version, updated debhelper depencendy

 -- Alexander Zangerl <az@debian.org>  Tue, 10 Apr 2007 18:31:12 +1000

jesred (1.2pl1-11) unstable; urgency=low

  * adjusted rewrite.c to understand both old and new redirector input 
    format which squid 2.6 introduced (closes: #381984)

 -- Alexander Zangerl <az@debian.org>  Wed,  9 Aug 2006 14:02:16 +1000

jesred (1.2pl1-10) unstable; urgency=low

  * a brown paper-bag release to fix the 
    garbled build-depends (closes: #328925) 

 -- Alexander Zangerl <az@debian.org>  Sun, 18 Sep 2005 22:14:21 +1000

jesred (1.2pl1-9) unstable; urgency=low

  * updated standards version
  * switched to dpatch for debian-specific stuff
  * updated code to always use extended regexps (closes: #328506)
  * cleaned up code a bit to get rid of compiler warnings 
    (on suggestion by Alexander Davydenko)

 -- Alexander Zangerl <az@debian.org>  Sat, 17 Sep 2005 17:46:04 +1000

jesred (1.2pl1-8) unstable; urgency=low

  * updated zed's comments in the example bofh rule file (closes: #263774)
  * added dhttpd as minimal but explicit suggestion

 -- Alexander Zangerl <az@debian.org>  Fri, 13 Aug 2004 18:23:34 +1000

jesred (1.2pl1-7) unstable; urgency=low

  * cleaned up description, added homepage.
  * lifted standards version
  * moved squid from recommends to depends
  * improved documentation (closes: #106999)

 -- Alexander Zangerl <az@debian.org>  Thu, 11 Dec 2003 12:23:47 +1000

jesred (1.2pl1-6) unstable; urgency=low

  * new maintainer (closes: #194117)
  * cleaned up build process slightly

 -- Alexander Zangerl <az@debian.org>  Sun, 25 May 2003 13:08:41 +1000
  

jesred (1.2pl1-5) unstable; urgency=low

  * Move sample redirect images and files into their own redir
    directory for easy access (closes: #146443)
  * Bump standards version to 3.5.10
  * Orphaned.  I no longer use this redirector, having moved
    everything over to SquidGuard a long time ago.
  * #include <string.h> in pattern_list.c

 -- Zed Pobre <zed@debian.org>  Wed, 21 May 2003 00:09:39 -0500

jesred (1.2pl1-4) unstable; urgency=low

  * Been almost a year since the last BOFH ruleset update.  Massive
    changes in this one, including a merge of a lot of individual entries
    into a single ad.*.com type entry.  Fixed the automatic tracking
    avoidance rulesets as well, commented why it was broken before.
  * DH_COMPAT=3 (Build-Depends updated)
  * Standards-Version: 3.5.2
  * INSTALL file removed from deb
  * Some unused templates removed

 -- Zed Pobre <zed@debian.org>  Sat, 24 Feb 2001 11:28:03 -0600

jesred (1.2pl1-3) unstable; urgency=low

  * Added sharutils to the Build-Depends (closes: #62120)
  * BOFH ruleset updated.
  * Removed the "Faster than other redirectors" line from the description,
    since my compiles are slow for some reason.

 -- Zed Pobre <zed@debian.org>  Mon, 10 Apr 2000 11:38:05 -0500

jesred (1.2pl1-2) unstable; urgency=medium

  * -DUSE_ACCEL commented out.  It was causing too many problems for a
    marginal increase in performance.
  * BOFH ruleset updated.  http://www.nasdaq.com should no longer have
    problems due to the akamaitech filters.

 -- Zed Pobre <zed@debian.org>  Sat, 25 Mar 2000 17:09:46 -0600

jesred (1.2pl1-1) unstable; urgency=low

  * Initial Release.

 -- Zed Pobre <zed@debian.org>  Mon, 20 Mar 2000 16:45:45 -0600

=== debian/control ===
Source: jesred
Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1~)
Section: web
Priority: optional
Maintainer: Alexander Zangerl <az@debian.org>
Standards-Version: 3.9.6

Package: jesred
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, squid (>= 3.5.6)
Recommends: dhttpd | httpd
Homepage: http://www.linofee.org/~elkner/webtools/jesred/
Description: Redirector for the Squid proxy
 Jesred is a very fast and highly configurable redirector for the Squid
 HTTP caching proxy. Jesred needs little memory, can rewrite all
 HTTP request methods and offers extensive logging.

=== debian/rules ===
#!/usr/bin/make -f
PACKAGE=jesred
DEST=$(CURDIR)/debian/$(PACKAGE)

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# to get -D_FORTIFY_SOURCE=2
CFLAGS += $(CPPFLAGS)

build-arch: build
build-indep:

build: build-stamp 

build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	install -d -m 0755 $(DEST)/etc $(DEST)/usr/lib/squid
	install -m 0755 jesred $(CURDIR)/debian/$(PACKAGE)/usr/lib/squid/
	install -m 0644 etc/jesred.conf $(DEST)/etc
	install -m 0644 etc/redirect.acl $(DEST)/etc/jesred.acl
	install -m 0644 etc/redirect.rules $(DEST)/etc/jesred.rules
	install -m 0644 etc/redirect.rules $(DEST)/usr/share/doc/$(PACKAGE)/examples/jesred.default.rules

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -n
	dh_installexamples
	dh_installman
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress -Xjesred.bofh.rules
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean binary-indep binary-arch binary install
